Subject: Trainer Candidate - Jatin Sachdeva
From: Jatin Sachdeva <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 13 Feb 2021 08:27:13 -0500

| | Tech Support Test

Name | Jatin Sachdeva
E-mail | [email-masked]
Phone Number | (0171) 9718897289
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I can commute only using Metro
Where do you currently live (area) | Ambala

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | Teleperformance GoDaddy | Technical Support Analyst | Still working | 35K
Previous Employer 1 | Eclerx Pvt LTD | Analyst | April 2019 | 20K
Previous Employer 2 | | | |

If Selected, how much time do you need to join? | 30 Days

Please briefly describe your work experience specifically in training?

A dedicated professional with around 7 years  of Analytical  work experience in Global Service Delivery model, Employed for customer service  in increasing productivity and morale among team members and maintaining application stability through training and writing documentation. Self-motivated individual comfortable working in a global, matrices, fast-paced environment with strong written and communication skills. Now seeking to contribute my experience, skills, and expertise to available projects at your Organization.
Working as Technical Support Analyst in Teleperformance (Godaddy)
from May 2019 to till now. At my current role, I am responsible for taking chats, email and support ticket while maintaining and exceeding department expectations regarding CSS survey scores, Average handling time and sales goals. At this present time I am working in Hosting, Email and Server support and regularly work with the WHM,  Cpanel, Linux, HTML, CSS, Plesk and Wordpress troubleshooting.

Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | No
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team. | The toughest part of the job is definitely dealing with certain clients. When they give our company representatives a hard time, doing our job becomes tough. On the other hand, when you get a great client, and develop a strong relationship with them, it is probably the most rewarding parts of the work.
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) | Good customer service reps will get the problem solved eventually. Great customer service reps will get it solved immediately, doing everything they can to remedy the problem at hand with the best customer experience.
What according to you makes you a good candidate for this position? | I think I am good candidate for this position because I am having good Technical knowledge, fast learner and the experience.
On a scale of 1 - 5 please rate your fluency in spoken English | 4

| |